#!/usr/bin/python
# -*- coding: utf-8 -*-
import os
import sys
import plugintools
import xbmc,xbmcaddon
import base64
import hashlib
from addon.common.addon import Addon

addonID = xbmcaddon.Addon().getAddonInfo('id')
addon = xbmcaddon.Addon()
addon_path = addon.getAddonInfo('path').decode('utf-8')
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')
fanart = local.getAddonInfo('fanart')

YOUTUBE_CHANNEL_ID1 = "PLsGK3aH9-P9k30lQCC1AnczVGMC1Ohp6K"
YOUTUBE_CHANNEL_ID2 = "PLsGK3aH9-P9lpe_Rdnf5iJxE535enYCJ1"
YOUTUBE_CHANNEL_ID3 = "PLsGK3aH9-P9keW-pwngomUj9MBo0EYuoF"
YOUTUBE_CHANNEL_ID4 = "PLsGK3aH9-P9mbnyIe-Zt4OKvrV8IZGULL"
YOUTUBE_CHANNEL_ID5 = ""
YOUTUBE_CHANNEL_ID6 = "PLsGK3aH9-P9kBhcOIeYwsMpnTZ2aeEYBE"
YOUTUBE_CHANNEL_ID7 = "PLsGK3aH9-P9ng53TFbbx-ixylx5fmmfQL"
YOUTUBE_CHANNEL_ID8 = "PLsGK3aH9-P9ltx2TVTxk77Hgg8oIjPXaF"
YOUTUBE_CHANNEL_ID9 = "PL8rYreSA6t8t1WxXf0hPYdBIOCDLcaWlb"
YOUTUBE_CHANNEL_ID10 = "PLEs1C_0f4i7-Rz8jS7koE85gJPuPckQGO"
YOUTUBE_CHANNEL_ID11 = "PLsGK3aH9-P9ktRlzNk2S4ZVq-l6LosslG"
YOUTUBE_CHANNEL_ID12 = "PLNdLOX8q0eolI5XIamwIwwUwR3GXHwlIx"
YOUTUBE_CHANNEL_ID13 = "PLVDHHhMd9VwpptVFw9e64-6Rwq9xTFoBp"

def run():
    plugintools.log("Dokus.run")
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        pass
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("KNE-Doku.main_list"+repr(params))
   
    plugintools.add_item( 
        title="[B] [COLOR blue]KNE-Doku[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )

       
    plugintools.add_item( 
        title="[B][COLOR white]-----------------------------------[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )

    plugintools.add_item( 
        #action="", 
        title="- [B][COLOR white]Doku-Geschichte[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID1+"/",
		thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )

    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Doku-Tier[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID2+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )

    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Doku-Natur[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID3+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )

    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Doku-Weltall[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID4+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )

    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Doku-4k[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID7+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )
		
    plugintools.add_item(
        #action="",
        title=" [B][COLOR white]---------------------------------[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )

    plugintools.add_item(
        #action="",
        title=" [B][COLOR blue]Doku-Fussball[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )
        
    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Fussball Dokus vom feinsten[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID9+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )

    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Fußball Doku-Mix[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID8+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )
		
    plugintools.add_item(
        title="[B][COLOR white]-----------------------------------[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )
        
    plugintools.add_item(
        title="[B] [COLOR blue]Doku-Crime and Mistery[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )

    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Kriminalfälle-International[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID10+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )
		
    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Die großen Kriminalfälle[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID6+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )

    plugintools.add_item(
        #action="",
        title="- [B][COLOR white]Serienkiller[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID11+"/",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )

    plugintools.add_item( 
        title="[B][COLOR white]-----------------------------------[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )


    plugintools.add_item(
        title="[B][COLOR blue]Diverses[/COLOR][/B]",
        url="",
        thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart=fanart,
        folder=False )

    plugintools.add_item( 
        #action="", 
        title="- [B][COLOR white]Terra x[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID12+"/",
		thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )
     
    plugintools.add_item( 
        #action="", 
        title="- [B][COLOR white]ZDF-History[/COLOR][/B]",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID13+"/",
		thumbnail="special://home/addons/plugin.video.KNE-Doku/icon.png",
        fanart="",
        folder=True )


    
     
    


run()
